> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the fee for your transfer

> Retrieve CCTP transfer fees using the API

This guide shows you how to retrieve the fee for a USDC transfer using the CCTP
API. Fees vary based on the source and destination blockchains, and whether you
use Fast Transfer or Standard Transfer.

## Prerequisites

Before you begin, ensure you have:

* Installed cURL on your development machine

## Get the transfer fee

Call the [`GET /v2/burn/USDC/fees`](/api-reference/cctp/all/get-burn-usdc-fees)
endpoint to retrieve the fees for transferring USDC between two blockchains.

**Request parameters**

* `sourceDomainId`: The
  [domain ID](/cctp/concepts/supported-chains-and-domains#domain-identifiers) of
  the source blockchain
* `destDomainId`: The domain ID of the destination blockchain

**Example request**

```shell Shell theme={null}
curl --request GET \
  --url 'https://iris-api-sandbox.circle.com/v2/burn/USDC/fees/0/26' \
  --header 'Accept: application/json'
```

This example retrieves the fees for transferring USDC from Ethereum Sepolia
(domain 0) to Arc Testnet (domain 26).

**Response**

```json theme={null}
[
  { "finalityThreshold": 1000, "minimumFee": 1 },
  { "finalityThreshold": 2000, "minimumFee": 0 }
]
```

<Note>
  **Fee details:**

  * Fees are specified in basis points (bps), for example, 1 = 0.01%.
  * Fast Transfer fees vary by route.
  * You specify the maximum fee you're willing to pay when calling
    `depositForBurn`. The actual fee charged will not exceed this amount.
</Note>
